import { NetRequest } from "../../Engine/CatanEngine/NetManagerV2/NetRequest";

// #region Request

export type RpcPaSyncRequest = null
export type RpcPaSyncResponse = TPaSync[]

export class PaSyncRequest extends NetRequest<RpcPaSyncRequest, RpcPaSyncResponse> {
	get Method(): string {
		return "pa.sync";
	}
	constructor() {
		super();
	}
}

// #endregion

// #region Type

export type TPaSync = [
	id: number,
	title: string,
	content: string,
	startTime: number,
	remainTime: number,
];

// #endregion