import { NetRequest } from "../../Engine/CatanEngine/NetManagerV2/NetRequest";

/** WEB更新資源 */
export class RefreshMoneyRequest extends NetRequest<null, number> {
	get Method(): string {
		return "res.money";
	}
}

export class ResCustomUpdateRequest extends NetRequest<any, null> {
	get Method(): string {
		return "resource.update";
	}

	constructor(index: number[]) {
		super();
		this.Data = [index];
	}
}