import { BusinessEnum } from "@/_BusinessTypeSetting/BusinessTypeSetting";
import { GameData } from "@/define/gameData";
import { PlayerData } from "@/define/playerData";

export interface IGameItems {
	onLoad: (serverType: BusinessEnum.ServerType) => Promise<void>;
	player: PlayerData;
	setPlayer: (v: PlayerData) => void;
	gameData: GameData;
	setGameData: (v: GameData) => void;
}